<?php
if (!defined('ABSPATH')) {
    die('Page not found');
}
function clean_urlwpim($site)
{
    $site = strtolower($site);
    $site = str_replace(array(
        'http://',
        'https://',
        'www.'
    ), '', $site);
    return $site;
}
$site = clean_urlwpim(get_site_url());
$cur_dir = '/wp-content/plugins/wpimmunity/';
$table = $wpdb->prefix . 'wpim_bans';
function add_ban($btype, $bvalue, $date, $time, $reason)
{
    global $wpdb;
    
    $table = $wpdb->prefix . 'wpim_bans';
    
    $data   = array(
        'type' => $btype,
        'value' => $bvalue,
        'date' => $date,
        'time' => $time,
        'reason' => $reason
    );
    $format = array(
        '%s',
        '%s',
        '%s',
        '%s',
        '%s'
    );
    $wpdb->insert($table, $data, $format);
}
if (isset($_GET['delete-id'])) {
   $id = (int) $_GET["delete-id"];
   
   $wpdb->delete($table, array(
       'id' => $id
   ));
}
if (isset($_POST['ban-ip'])) {
    
    $ip     = sanitize_text_field($_POST['ip']);
    $reason = sanitize_text_field($_POST['reason']);
    $date   = date_i18n(get_option('date_format'));
    $time   = date_i18n(get_option('time_format'));
    
    if (!filter_var($ip, FILTER_VALIDATE_IP)) {
      echo '<br />
      <div class="callout callout-danger">
            <p><i class="fas fa-exclamation-triangle"></i>The entered <strong>IP Address</strong> is invalid.</p>
      </div>';
    } else {
      add_ban("ip", $ip, $date, $time, $reason);
    }
}
if (isset($_POST['ban-country'])) {
    
    $country = sanitize_text_field($_POST['country']);
    $date    = date_i18n(get_option('date_format'));
    $time    = date_i18n(get_option('time_format'));
    $reason  = '';
    
    $validator = $wpdb->get_var($wpdb->prepare("SELECT COUNT(*) FROM $table
                    WHERE type = %s AND value = %s LIMIT 1", 'country', $country));
    if ($validator > 0) {
        echo '<br />
			<div class="callout callout-info">
					<p><i class="fas fa-info-circle"></i> This <strong>Country</strong> is already added.</p>
			</div>';
    } else {
        add_ban("country", $country, $date, $time, $reason);
    }
}
?>


<body class="layout-light top-menu">
   
   <main class="main-content">
      <div class="">

         <div class="crm mb-25">
            <div class="container-fluid">
            <div class="row">
               <div class="col-lg-12">
                  <div class="breadcrumb-main">
                     <h4 class="text-capitalize breadcrumb-title">Bans</h4>
                  </div>
               </div>
            </div>
            <div class="row">
               <div class="col-lg-12">
                  <div class="card card-dark card-outline" style="max-width: -webkit-fill-available;">
                     <div class="card-header">
                        <h3 class="card-title">
                           IP Address Bans
                        </h3>
                        <div class="card-extra">
                           <div id="filter-form-container"></div>
                           &nbsp;&nbsp;&nbsp;
                           <button <?php echo isActivated(''); ?> data-bs-toggle="modal" data-bs-target="#modal-info-confirmed" title="Click to Ban an IP Address" class="btn btn-flat btn-danger btn-md">Ban IP</button>
                        </div>
                     </div>
                     <div class="card-body p-0">
                        <div class="userDatatable adv-table-table global-shadow border-light-0 w-100 adv-table">
                           <div class="table-responsive">
                              
                              <table class="table mb-0 table-borderless adv-table" data-sorting="true" data-filter-container="#filter-form-container" data-paging-current="1" data-paging-position="right" data-paging-size="10">  
                                 <thead>
                                    <tr class="userDatatable-header">
                                       <th>
                                          <span class="userDatatable-title">IP Address</span>
                                       </th>
                                       <th>
                                          <span class="userDatatable-title">Banned On</span>
                                       </th>
                                       <th>
                                          <span class="userDatatable-title">Reason</span>
                                       </th>
                                       <th>
                                          <span class="userDatatable-title">Autobanned</span>
                                       </th>
                                       <th>
                                          <span class="userDatatable-title">Actions</span>
                                       </th>
                                    </tr>
                                 </thead>
                                 <tbody>
                                 <?php
                                 $query = $wpdb->get_results("SELECT * FROM `$table` WHERE type='ip'");
                                 foreach ($query as $row) {
                                    echo '<tr>
                                          <td><div class="userDatatable-content">' . esc_html($row->value) . '</div></td>';
                                    echo '<td><div class="userDatatable-content">' . esc_html($row->date) . ', ' . strtoupper($row->time) . '</div></td>
                                          <td><div class="userDatatable-content">' . esc_html($row->reason) . '</div></td>
                                          <td>';
                                    if ($row->autoban == 1) {
                                       echo 'Yes';
                                    } else {
                                       echo 'No';
                                    }
                                    echo '</td>
                                          <td>
                                          <a href="admin.php?page=wpimmunity-bans&delete-id=' . $row->id . '" class="btn btn-flat btn-success btn-sm"><i class="fas fa-ban"></i>Unban</a>
                                          </td>
                                          </tr>';
                                    }
                                 ?>
                                 </tbody>
                              </table>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            <div class="row">
               <div class="col-lg-12">
                  <div class="card card-dark card-outline" style="max-width: -webkit-fill-available;">
                     <div class="card-header">
                        <h3 class="card-title">
                           Country Bans
                        </h3>
                        <div class="card-extra">
                           <form class="form-horizontal" action="" method="post">
                              <div class="dm-select-list d-flex">
                                 <div class="dm-select">
                                    <select name="country" id="select-search" class="form-control form-control-sm">
                                       <option value="Afghanistan">Afghanistan</option>
                                       <option value="Aland Islands">Aland Islands</option>
                                       <option value="Albania">Albania</option>
                                       <option value="Algeria">Algeria</option>
                                       <option value="American Samoa">American Samoa</option>
                                       <option value="Andorra">Andorra</option>
                                       <option value="Angola">Angola</option>
                                       <option value="Anguilla">Anguilla</option>
                                       <option value="Antarctica">Antarctica</option>
                                       <option value="Antigua and Barbuda">Antigua and Barbuda</option>
                                       <option value="Argentina">Argentina</option>
                                       <option value="Armenia">Armenia</option>
                                       <option value="Aruba">Aruba</option>
                                       <option value="Australia">Australia</option>
                                       <option value="Austria">Austria</option>
                                       <option value="Azerbaijan">Azerbaijan</option>
                                       <option value="Bahamas">Bahamas</option>
                                       <option value="Bahrain">Bahrain</option>
                                       <option value="Bangladesh">Bangladesh</option>
                                       <option value="Barbados">Barbados</option>
                                       <option value="Belarus">Belarus</option>
                                       <option value="Belgium">Belgium</option>
                                       <option value="Belize">Belize</option>
                                       <option value="Benin">Benin</option>
                                       <option value="Bermuda">Bermuda</option>
                                       <option value="Bhutan">Bhutan</option>
                                       <option value="Bolivia">Bolivia</option>
                                       <option value="Bonaire, Sint Eustatius and Saba">Bonaire, Sint Eustatius and Saba</option>
                                       <option value="Bosnia and Herzegovina">Bosnia and Herzegovina</option>
                                       <option value="Botswana">Botswana</option>
                                       <option value="Bouvet Island">Bouvet Island</option>
                                       <option value="Brazil">Brazil</option>
                                       <option value="British Indian Ocean Territory">British Indian Ocean Territory</option>
                                       <option value="Brunei Darussalam">Brunei Darussalam</option>
                                       <option value="Bulgaria">Bulgaria</option>
                                       <option value="Burkina Faso">Burkina Faso</option>
                                       <option value="Burundi">Burundi</option>
                                       <option value="Cambodia">Cambodia</option>
                                       <option value="Cameroon">Cameroon</option>
                                       <option value="Canada">Canada</option>
                                       <option value="Cape Verde">Cape Verde</option>
                                       <option value="Cayman Islands">Cayman Islands</option>
                                       <option value="Central African Republic">Central African Republic</option>
                                       <option value="Chad">Chad</option>
                                       <option value="Chile">Chile</option>
                                       <option value="China">China</option>
                                       <option value="Christmas Island">Christmas Island</option>
                                       <option value="Cocos (Keeling) Islands">Cocos (Keeling) Islands</option>
                                       <option value="Colombia">Colombia</option>
                                       <option value="Comoros">Comoros</option>
                                       <option value="Congo">Congo</option>
                                       <option value="Congo, Democratic Republic of the Congo">Congo, Democratic Republic of the Congo</option>
                                       <option value="Cook Islands">Cook Islands</option>
                                       <option value="Costa Rica">Costa Rica</option>
                                       <option value="Cote D'Ivoire">Cote D'Ivoire</option>
                                       <option value="Croatia">Croatia</option>
                                       <option value="Cuba">Cuba</option>
                                       <option value="Curacao">Curacao</option>
                                       <option value="Cyprus">Cyprus</option>
                                       <option value="Czech Republic">Czech Republic</option>
                                       <option value="Denmark">Denmark</option>
                                       <option value="Djibouti">Djibouti</option>
                                       <option value="Dominica">Dominica</option>
                                       <option value="Dominican Republic">Dominican Republic</option>
                                       <option value="Ecuador">Ecuador</option>
                                       <option value="Egypt">Egypt</option>
                                       <option value="El Salvador">El Salvador</option>
                                       <option value="Equatorial Guinea">Equatorial Guinea</option>
                                       <option value="Eritrea">Eritrea</option>
                                       <option value="Estonia">Estonia</option>
                                       <option value="Ethiopia">Ethiopia</option>
                                       <option value="Falkland Islands (Malvinas)">Falkland Islands (Malvinas)</option>
                                       <option value="Faroe Islands">Faroe Islands</option>
                                       <option value="Fiji">Fiji</option>
                                       <option value="Finland">Finland</option>
                                       <option value="France">France</option>
                                       <option value="French Guiana">French Guiana</option>
                                       <option value="French Polynesia">French Polynesia</option>
                                       <option value="French Southern Territories">French Southern Territories</option>
                                       <option value="Gabon">Gabon</option>
                                       <option value="Gambia">Gambia</option>
                                       <option value="Georgia">Georgia</option>
                                       <option value="Germany">Germany</option>
                                       <option value="Ghana">Ghana</option>
                                       <option value="Gibraltar">Gibraltar</option>
                                       <option value="Greece">Greece</option>
                                       <option value="Greenland">Greenland</option>
                                       <option value="Grenada">Grenada</option>
                                       <option value="Guadeloupe">Guadeloupe</option>
                                       <option value="Guam">Guam</option>
                                       <option value="Guatemala">Guatemala</option>
                                       <option value="Guernsey">Guernsey</option>
                                       <option value="Guinea">Guinea</option>
                                       <option value="Guinea-Bissau">Guinea-Bissau</option>
                                       <option value="Guyana">Guyana</option>
                                       <option value="Haiti">Haiti</option>
                                       <option value="Heard Island and Mcdonald Islands">Heard Island and Mcdonald Islands</option>
                                       <option value="Holy See (Vatican City State)">Holy See (Vatican City State)</option>
                                       <option value="Honduras">Honduras</option>
                                       <option value="Hong Kong">Hong Kong</option>
                                       <option value="Hungary">Hungary</option>
                                       <option value="Iceland">Iceland</option>
                                       <option value="India">India</option>
                                       <option value="Indonesia">Indonesia</option>
                                       <option value="Iran, Islamic Republic of">Iran, Islamic Republic of</option>
                                       <option value="Iraq">Iraq</option>
                                       <option value="Ireland">Ireland</option>
                                       <option value="Isle of Man">Isle of Man</option>
                                       <option value="Israel">Israel</option>
                                       <option value="Italy">Italy</option>
                                       <option value="Jamaica">Jamaica</option>
                                       <option value="Japan">Japan</option>
                                       <option value="Jersey">Jersey</option>
                                       <option value="Jordan">Jordan</option>
                                       <option value="Kazakhstan">Kazakhstan</option>
                                       <option value="Kenya">Kenya</option>
                                       <option value="Kiribati">Kiribati</option>
                                       <option value="Korea, Democratic People's Republic of">Korea, Democratic People's Republic of</option>
                                       <option value="Korea, Republic of">Korea, Republic of</option>
                                       <option value="Kosovo">Kosovo</option>
                                       <option value="Kuwait">Kuwait</option>
                                       <option value="Kyrgyzstan">Kyrgyzstan</option>
                                       <option value="Lao People's Democratic Republic">Lao People's Democratic Republic</option>
                                       <option value="Latvia">Latvia</option>
                                       <option value="Lebanon">Lebanon</option>
                                       <option value="Lesotho">Lesotho</option>
                                       <option value="Liberia">Liberia</option>
                                       <option value="Libyan Arab Jamahiriya">Libyan Arab Jamahiriya</option>
                                       <option value="Liechtenstein">Liechtenstein</option>
                                       <option value="Lithuania">Lithuania</option>
                                       <option value="Luxembourg">Luxembourg</option>
                                       <option value="Macao">Macao</option>
                                       <option value="Macedonia, the Former Yugoslav Republic of">Macedonia, the Former Yugoslav Republic of</option>
                                       <option value="Madagascar">Madagascar</option>
                                       <option value="Malawi">Malawi</option>
                                       <option value="Malaysia">Malaysia</option>
                                       <option value="Maldives">Maldives</option>
                                       <option value="Mali">Mali</option>
                                       <option value="Malta">Malta</option>
                                       <option value="Marshall Islands">Marshall Islands</option>
                                       <option value="Martinique">Martinique</option>
                                       <option value="Mauritania">Mauritania</option>
                                       <option value="Mauritius">Mauritius</option>
                                       <option value="Mayotte">Mayotte</option>
                                       <option value="Mexico">Mexico</option>
                                       <option value="Micronesia, Federated States of">Micronesia, Federated States of</option>
                                       <option value="Moldova, Republic of">Moldova, Republic of</option>
                                       <option value="Monaco">Monaco</option>
                                       <option value="Mongolia">Mongolia</option>
                                       <option value="Montenegro">Montenegro</option>
                                       <option value="Montserrat">Montserrat</option>
                                       <option value="Morocco">Morocco</option>
                                       <option value="Mozambique">Mozambique</option>
                                       <option value="Myanmar">Myanmar</option>
                                       <option value="Namibia">Namibia</option>
                                       <option value="Nauru">Nauru</option>
                                       <option value="Nepal">Nepal</option>
                                       <option value="Netherlands">Netherlands</option>
                                       <option value="Netherlands Antilles">Netherlands Antilles</option>
                                       <option value="New Caledonia">New Caledonia</option>
                                       <option value="New Zealand">New Zealand</option>
                                       <option value="Nicaragua">Nicaragua</option>
                                       <option value="Niger">Niger</option>
                                       <option value="Nigeria">Nigeria</option>
                                       <option value="Niue">Niue</option>
                                       <option value="Norfolk Island">Norfolk Island</option>
                                       <option value="Northern Mariana Islands">Northern Mariana Islands</option>
                                       <option value="Norway">Norway</option>
                                       <option value="Oman">Oman</option>
                                       <option value="Pakistan">Pakistan</option>
                                       <option value="Palau">Palau</option>
                                       <option value="Palestinian Territory, Occupied">Palestinian Territory, Occupied</option>
                                       <option value="Panama">Panama</option>
                                       <option value="Papua New Guinea">Papua New Guinea</option>
                                       <option value="Paraguay">Paraguay</option>
                                       <option value="Peru">Peru</option>
                                       <option value="Philippines">Philippines</option>
                                       <option value="Pitcairn">Pitcairn</option>
                                       <option value="Poland">Poland</option>
                                       <option value="Portugal">Portugal</option>
                                       <option value="Puerto Rico">Puerto Rico</option>
                                       <option value="Qatar">Qatar</option>
                                       <option value="Reunion">Reunion</option>
                                       <option value="Romania">Romania</option>
                                       <option value="Russian Federation">Russian Federation</option>
                                       <option value="Rwanda">Rwanda</option>
                                       <option value="Saint Barthelemy">Saint Barthelemy</option>
                                       <option value="Saint Helena">Saint Helena</option>
                                       <option value="Saint Kitts and Nevis">Saint Kitts and Nevis</option>
                                       <option value="Saint Lucia">Saint Lucia</option>
                                       <option value="Saint Martin">Saint Martin</option>
                                       <option value="Saint Pierre and Miquelon">Saint Pierre and Miquelon</option>
                                       <option value="Saint Vincent and the Grenadines">Saint Vincent and the Grenadines</option>
                                       <option value="Samoa">Samoa</option>
                                       <option value="San Marino">San Marino</option>
                                       <option value="Sao Tome and Principe">Sao Tome and Principe</option>
                                       <option value="Saudi Arabia">Saudi Arabia</option>
                                       <option value="Senegal">Senegal</option>
                                       <option value="Serbia">Serbia</option>
                                       <option value="Serbia and Montenegro">Serbia and Montenegro</option>
                                       <option value="Seychelles">Seychelles</option>
                                       <option value="Sierra Leone">Sierra Leone</option>
                                       <option value="Singapore">Singapore</option>
                                       <option value="Sint Maarten">Sint Maarten</option>
                                       <option value="Slovakia">Slovakia</option>
                                       <option value="Slovenia">Slovenia</option>
                                       <option value="Solomon Islands">Solomon Islands</option>
                                       <option value="Somalia">Somalia</option>
                                       <option value="South Africa">South Africa</option>
                                       <option value="South Georgia and the South Sandwich Islands">South Georgia and the South Sandwich Islands</option>
                                       <option value="South Sudan">South Sudan</option>
                                       <option value="Spain">Spain</option>
                                       <option value="Sri Lanka">Sri Lanka</option>
                                       <option value="Sudan">Sudan</option>
                                       <option value="Suriname">Suriname</option>
                                       <option value="Svalbard and Jan Mayen">Svalbard and Jan Mayen</option>
                                       <option value="Swaziland">Swaziland</option>
                                       <option value="Sweden">Sweden</option>
                                       <option value="Switzerland">Switzerland</option>
                                       <option value="Syrian Arab Republic">Syrian Arab Republic</option>
                                       <option value="Taiwan, Province of China">Taiwan, Province of China</option>
                                       <option value="Tajikistan">Tajikistan</option>
                                       <option value="Tanzania, United Republic of">Tanzania, United Republic of</option>
                                       <option value="Thailand">Thailand</option>
                                       <option value="Timor-Leste">Timor-Leste</option>
                                       <option value="Togo">Togo</option>
                                       <option value="Tokelau">Tokelau</option>
                                       <option value="Tonga">Tonga</option>
                                       <option value="Trinidad and Tobago">Trinidad and Tobago</option>
                                       <option value="Tunisia">Tunisia</option>
                                       <option value="Turkey">Turkey</option>
                                       <option value="Turkmenistan">Turkmenistan</option>
                                       <option value="Turks and Caicos Islands">Turks and Caicos Islands</option>
                                       <option value="Tuvalu">Tuvalu</option>
                                       <option value="Uganda">Uganda</option>
                                       <option value="Ukraine">Ukraine</option>
                                       <option value="United Arab Emirates">United Arab Emirates</option>
                                       <option value="United Kingdom">United Kingdom</option>
                                       <option value="United States">United States</option>
                                       <option value="United States Minor Outlying Islands">United States Minor Outlying Islands</option>
                                       <option value="Uruguay">Uruguay</option>
                                       <option value="Uzbekistan">Uzbekistan</option>
                                       <option value="Vanuatu">Vanuatu</option>
                                       <option value="Venezuela">Venezuela</option>
                                       <option value="Viet Nam">Viet Nam</option>
                                       <option value="Virgin Islands, British">Virgin Islands, British</option>
                                       <option value="Virgin Islands, U.s.">Virgin Islands, U.s.</option>
                                       <option value="Wallis and Futuna">Wallis and Futuna</option>
                                       <option value="Western Sahara">Western Sahara</option>
                                       <option value="Yemen">Yemen</option>
                                       <option value="Zambia">Zambia</option>
                                       <option value="Zimbabwe">Zimbabwe</option>
                                    </select>
                                 </div>
                                 &nbsp;&nbsp;&nbsp;
                                 <button <?php echo isActivated('type="submit"'); ?>  name="ban-country" class="btn btn-flat btn-danger btn-md">Ban Country</button>
                              </div>
                           </form>
                        </div>
                     </div>
                     <div class="card-body p-0">
                        <table class="table mb-0 table-borderless">  
                           <thead>
                              <tr class="userDatatable-header">
                                 <th>
                                    <span class="userDatatable-title">IP Address</span>
                                 </th>
                                 <th>
                                    <span class="userDatatable-title">Banned On</span>
                                 </th>
                                 <th>
                                    <span class="userDatatable-title">Autobanned</span>
                                 </th>
                                 <th>
                                    <span class="userDatatable-title">Actions</span>
                                 </th>
                              </tr>
                           </thead>
                           <tbody>
                              <?php
                              $query = $wpdb->get_results("SELECT * FROM `$table` WHERE type='country'");
                              foreach ($query as $row) {
                                 echo '<tr>
                                       <td><div class="userDatatable-content">' . esc_html($row->value) . '</div></td>';
                                 echo '<td><div class="userDatatable-content">' . esc_html($row->date) . ', ' . strtoupper($row->time) . '</div></td>
                                       <td>';
                                 if ($row->autoban == 1) {
                                    echo 'Yes';
                                 } else {
                                    echo 'No';
                                 }
                                 echo '</td>
                                       <td>
                                       <a href="admin.php?page=wpimmunity-bans&delete-id=' . $row->id . '" class="btn btn-flat btn-success btn-sm"><i class="fas fa-ban"></i>Unban</a>
                                       </td>
                                       </tr>';
                                 }
                              ?>
                           </tbody>
                        </table>
                     </div>
                  </div>
               </div>
            </div>
         </div>

      </div>
      <footer class="footer-wrapper pl-0" style="padding-left: 10px;">
         <div class="footer-wrapper__inside pt-1">
            <div class="container-fluid">
               <div class="row">
                  <div class="col-md-6">
                     <div class="footer-copyright">
                        <p><span>© 2023</span><a href="#">WP Immunity</a>
                        </p>
                     </div>
                  </div>
                  <div class="col-md-6">
                     <div class="footer-menu text-end">
                        <ul>
                           <li>
                              <a href="#">About</a>
                           </li>
                           <li>
                              <a href="#">Contact</a>
                           </li>
                        </ul>
                     </div>
                     <!-- ends: .Footer Menu -->
                  </div>
               </div>
            </div>
         </div>
      </footer>
   </main>
   <div id="overlayer">
      <div class="loader-overlay">
         <div class="dm-spin-dots spin-lg">
            <span class="spin-dot badge-dot dot-primary"></span>
            <span class="spin-dot badge-dot dot-primary"></span>
            <span class="spin-dot badge-dot dot-primary"></span>
            <span class="spin-dot badge-dot dot-primary"></span>
         </div>
      </div>
   </div>
   <div class="overlay-dark-sidebar"></div>
   <div class="customizer-overlay"></div>
   <div class="modal-info-confirmed modal fade show" id="modal-info-confirmed" tabindex="-1" role="dialog" aria-hidden="true">
      <div class="modal-dialog modal-sm modal-info" role="document">
         <form class="form-horizontal" method="post">
            <div class="modal-content">
               <div class="modal-body">
                  <div class="modal-info-body d-flex">
                     <div class="modal-info-icon danger">
                        <img src="<?php echo $cur_dir; ?>img/svg/alert-circle.svg" alt="alert-circle" class="svg">
                     </div>
                     <div class="modal-info-text">
                        <h6>Please enter the IP Address you would like to ban as well as a reason:</h6>
                        <br>
                        <input type="text" name="ip" class="form-control form-control-lg" placeholder="127.0.0.1">
                        <br>
                        <input type="text" name="reason" class="form-control form-control-lg" placeholder="Violated SPAM Policy">
                        </form>
                     </div>

                  </div>
               </div>
               <div class="modal-footer">
                  <button type="button" class="btn btn-light btn-outlined btn-sm" data-bs-dismiss="modal">Cancel</button>
                  <button type="submit" name="ban-ip" class="btn btn-danger btn-sm" data-bs-dismiss="modal">Save</button>
               </div>
            </div>
         </form>
      </div>
   </div>
   <!-- inject:js-->
   <script src="<?php echo $cur_dir; ?>js/plugins.min.js"></script>
   <script src="<?php echo $cur_dir; ?>js/script.min.js"></script>
   <!-- endinject-->
</body>
