<?php
if (!defined('ABSPATH')) {
    die('Page not found');
}
$cur_dir = '/wp-content/plugins/wpimmunity/';
if (isset($_POST['activationKey'])) {
   //console log activation key
   $activationKey = $_POST['activationKey'];
   //post key to lambda endpoint 
   $url = 'https://efxn1fi296.execute-api.us-east-1.amazonaws.com/dev/verify';
   $data = array('key' => $activationKey);
   $body = wp_remote_post($url, array(
      'method' => 'POST',
      'timeout' => 45,
      'redirection' => 5,
      'httpversion' => '1.0',
      'blocking' => true,
      'headers' => array( 'Content-Type' => 'application/json; charset=utf-8', 'wpimAPIKEY' => $activationKey ),
      'body' => $data,
      'cookies' => array()
      )
   );
   //convert body from json to php array
   $response = json_decode($body['body'], true);
   // print_r($response);
   if ($response['status'] == 'success') {
      update_option('wpim_license', $response['details']['hash']);
      update_option('wpim_license_expires', $response['details']['expires']);
      echo '<script>console.log("License Activated");</script>';
   } else {
      echo '<script>console.log("License Activation Failed");</script>';
   }
}
if (get_option('wpim_license')) {
   //convert expires date from milliseconds to date
   $expires = get_option('wpim_license_expires');
   $expires = $expires / 1000;
   $expires = date("m/d/Y", $expires);
   //check if license is expired
   $today = date("m/d/Y");
   if ($today > $expires) {
      $ActivateButton = 'ACTIVATE PRO';
   } else {
      $ActivateButton = 'PRO ACTIVE - EXPIRES: ' . $expires;
   }
} else {
   $ActivateButton = 'ACTIVATE PRO';
}
//create activation check function
function isActivated($placeholder) {
   if (get_option('wpim_license') && (date("m/d/Y") < date("m/d/Y", get_option('wpim_license_expires') / 1000)) ) {
      return $placeholder;
   } else {
      return 'data-bs-toggle="modal" data-bs-target="#activate-pro" type="button"';
   }
}
?>
<head>
   <meta charset="UTF-8">
   <meta name="viewport" content="width=device-width, initial-scale=1.0">
   <meta http-equiv="X-UA-Compatible" content="ie=edge">
   <title>WP Immunity</title>

   <link href="https://fonts.googleapis.com/css2?family=Jost:wght@400;500;600;700&display=swap" rel="stylesheet">

   <!-- inject:css-->

   <link rel="stylesheet" href="<?php echo $cur_dir; ?>css/plugin.min.css">

   <link rel="stylesheet" href="<?php echo $cur_dir; ?>style.css">

   <!-- endinject -->

   <link rel="icon" type="image/png" sizes="16x16" href="<?php echo $cur_dir; ?>img/favicon.png">

   <!-- Fonts -->
   <link rel="stylesheet" href="https://unicons.iconscout.com/release/v4.0.0/css/line.css">
   <script type="text/javascript">window.$crisp=[];window.CRISP_WEBSITE_ID="6050e6c3-270f-4d93-822c-e0c6c39f39e2";(function(){d=document;s=d.createElement("script");s.src="https://client.crisp.chat/l.js";s.async=1;d.getElementsByTagName("head")[0].appendChild(s);})();</script>
</head>
<header >
      <nav class="navbar navbar-light">
         <div class="navbar-left">
            <div class="logo-area">
               <a class="navbar-brand">
                  <img class="dark" src="<?php echo $cur_dir; ?>img/logo-dark.png" alt="logo">
                  <img class="light" src="<?php echo $cur_dir; ?>img/logo-white.png" alt="logo">
               </a>
            </div>
            <div class="top-menu">
               <div class="hexadash-top-menu position-relative">
                  <ul class="d-flex align-items-center flex-wrap">
                     <li>
                        <a href="admin.php?page=wpimmunity-dashboard" <?php if($_GET['page']=="wpimmunity-dashboard") {echo 'class="active"';} ?> >Dashboard</a>
                     </li>
                     <li>
                        <a href="admin.php?page=wpimmunity-live" <?php if($_GET['page']=="wpimmunity-live") {echo 'class="active"';} ?> >Live Stats</a>
                     </li>
                     <!-- <li class="has-subMenu">
                        <a href="#" class="">Bans</a>
                        <ul class="subMenu">
                           <li class="l_sidebar">
                              <a href="#">IP Bans</a>
                           </li>
                           <li class="l_sidebar">
                              <a href="#" >Country Bans</a>
                           </li>
                           <li class="l_navbar">
                              <a href="#">Software Bans</a>
                           </li>
                        </ul>
                     </li> -->
                     <li>
                        <a href="admin.php?page=wpimmunity-bans" <?php if($_GET['page']=="wpimmunity-bans") {echo 'class="active"';} ?> >Bans</a>
                     </li>
                     <li>
                        <a href="admin.php?page=wpimmunity-settings" <?php if($_GET['page']=="wpimmunity-settings") {echo 'class="active"';} ?> >Settings</a>
                     </li>
                     <li>
                        <a href="admin.php?page=wpimmunity-htaccess" <?php echo isActivated(''); ?> <?php if($_GET['page']=="wpimmunity-htaccess") {echo 'class="active"';} ?> >.htaccess Editor</a>
                     </li>
                     <li>
                        <a href="admin.php?page=wpimmunity-info" <?php if($_GET['page']=="wpimmunity-info") {echo 'class="active"';} ?> >System Info</a>
                     </li>
                     <li>
                        <a href="admin.php?page=wpimmunity-pricing" <?php if($_GET['page']=="wpimmunity-pricing") {echo 'class="active"';} ?> >Pricing</a>
                     </li>
                     <li>
                        <a href="admin.php?page=wpimmunity-logs" <?php if($_GET['page']=="wpimmunity-logs") {echo 'class="active"';} ?> >Logs</a>
                     </li>
                  </ul>
               </div>

            </div>
         </div>
         <!-- ends: navbar-left -->
         <div class="navbar-right">
            <ul class="navbar-right__menu">
               <button data-bs-toggle="modal" data-bs-target="#activate" title="Click to Activate" class="radius-xs fs-15 fw-400 text-capitalize btn-rounded btn btn-light btn-default pricing__tag color-primary order-bg-opacity-primary rounded-pill" value="">
						<?php echo $ActivateButton; ?>
               </button>
               <!-- <li class="nav-notification">

               </li> -->
            </ul>
         </div>
         <!-- ends: .navbar-right -->
      </nav>
   </header>

   <div class="modal-info-confirmed modal fade show" id="activate" tabindex="-1" role="dialog" aria-hidden="true">
      <div class="modal-dialog modal-sm modal-info" role="document">
         <form class="form-horizontal" method="post">
            <div class="modal-content">
               <div class="modal-body">
                  <div class="modal-info-body d-flex">
                     <div class="modal-info-icon default">
                        <img src="<?php echo $cur_dir; ?>img/svg/alert-circle.svg" alt="alert-circle" class="svg">
                     </div>
                     <div class="modal-info-text">
                        <h6>Please enter your WPIM PRO activation key:</h6>
                        <br>
                           <input type="text" name="activationKey" class="form-control form-control-lg" >
                     </div>

                  </div>
               </div>
               <div class="modal-footer">
                  <button type="button" class="btn btn-light btn-outlined btn-sm" data-bs-dismiss="modal">Cancel</button>
                  <button type="submit" class="btn btn-info btn-sm" data-bs-dismiss="modal">Save</button>
               </div>
            </div>
         </form>
      </div>
   </div>

   <div class="modal-info-confirmed modal fade show" id="activate-pro" tabindex="-1" role="dialog" aria-hidden="true">
      <div class="modal-dialog modal-sm modal-info" role="document">
            <div class="modal-content">
               <div class="modal-body">
                  <div class="modal-info-body d-flex">
                     <div class="modal-info-icon default">
                        <img src="<?php echo $cur_dir; ?>img/svg/alert-circle.svg" alt="alert-circle" class="svg">
                     </div>
                     <div class="modal-info-text">
                        <h6>Please activate a PRO license in order to use this feature.</h6>
                     </div>
                  </div>
               </div>
               <div class="modal-footer">
                  <button type="button" class="btn btn-light btn-outlined btn-sm" data-bs-dismiss="modal">Cancel</button>
                  <a href="admin.php?page=wpimmunity-pricing"><button class="btn btn-info btn-sm" data-bs-dismiss="modal">Pricing</button></a>
               </div>
            </div>
      </div>
   </div>
<!-- Google tag (gtag.js) -->
<script async src="https://www.googletagmanager.com/gtag/js?id=G-420FMLF2BL"></script>
<script>
window.dataLayer = window.dataLayer || [];
function gtag(){dataLayer.push(arguments);}
   gtag('js', new Date());
   gtag('config', 'G-420FMLF2BL');
</script>