<?php
if (!defined('ABSPATH')) {
    die('Page not found');
}
function clean_urlwpg($site)
{
    $site = strtolower($site);
    $site = str_replace(array(
        'http://',
        'https://',
        'www.'
    ), '', $site);
    return $site;
}

$site = clean_urlwpg(get_site_url());
$cur_dir = '/wp-content/plugins/wpimmunity/';

//Host Info Check
function host_info($site)
{
    global $site_url;
	
    $useragent = $_SERVER['HTTP_USER_AGENT'];
    
    $ip  = gethostbyname($site_url);
    $url = 'https://ipapi.co/' . $ip . '/json/';
    $ch  = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
    curl_setopt($ch, CURLOPT_ENCODING, 'gzip,deflate');
    curl_setopt($ch, CURLOPT_USERAGENT, $useragent);
    curl_setopt($ch, CURLOPT_REFERER, "https://google.com");
    $ipcontent = curl_exec($ch);
    curl_close($ch);
    $ip_data = json_decode($ipcontent);
    if ($ip_data && !isset($ip_data->{'error'})) {
        $country = $ip_data->{'country_name'};
        $isp     = $ip_data->{'org'};
    } else {
        $country = "Unknown";
        $isp     = "Unknown";
    }
    
    if ($country == '') {
        $country = "Unknown";
    }
    
    if ($isp == '') {
        $isp = "Unknown";
    }
    
    $data = $ip . "::" . $country . "::" . $isp . "::";
    return $data;
}

// Response time
$ch_resptime = curl_init(get_site_url());
curl_setopt($ch_resptime, CURLOPT_RETURNTRANSFER,1);
if(curl_exec($ch_resptime)) {
	
	$curl_resptime = curl_getinfo($ch_resptime);
	$response_time = $curl_resptime['total_time'];
} else {
	$response_time = 0.01;
}

//Host Info
$data         = host_info($site);
$data         = explode("::", $data);
$host_ip      = $data[0];
$serverip     = getHostByName(getHostName());
$host_country = $data[1];
$host_isp     = $data[2];

$inipath = php_ini_loaded_file();

if ($inipath) {
    $iniflp = $inipath;
} else {
    $iniflp = "A php.ini file is not loaded";
}

$zend_version = zend_version();

$errorlog_path = ini_get('error_log');
?>


<body class="layout-light top-menu">
   
   <main class="main-content">
      <div class="">

         <div class="crm mb-25">
            <div class="container-fluid">
            <div class="row">
               <div class="col-lg-12">
                  <div class="breadcrumb-main">
                     <h4 class="text-capitalize breadcrumb-title">System Information</h4>
                  </div>
               </div>
            </div>
            <div class="row">
               <div class="col-lg-6">
                  <div class="card card-dark card-outline" style="height: 321px; max-width: -webkit-fill-available;">
                     <div class="card-header">
                        <h3 class="card-title">
                           <?php echo esc_html($site); ?>
                        </h3>
                     </div>
                     <div class="card-body p-0">
                        <div class="table4 p-25 mb-30">
                           <div class="table-responsive">
                              <table class="table mb-0">
                                 <tbody>
                                    <tr>
                                       <td>
                                          <div class="userDatatable-content">
                                             Response Time
                                          </div>
                                       </td>
                                       <td>
                                          <div class="userDatatable-content">
                                             <span class="badge badge-round badge-success badge-lg">
                                                <?php echo esc_html($response_time); ?> seconds
                                             </span>
                                          </div>
                                       </td>
                                    </tr>
                                    <tr>
                                       <td>
                                          <div class="userDatatable-content">
                                             PHP Config
                                          </div>
                                       </td>
                                       <td>
                                          <div class="userDatatable-content">
                                          <span class="badge badge-round badge-warning badge-lg">
                                                <?php echo esc_html($iniflp); ?>
                                             </span>
                                          </div>
                                       </td>
                                    </tr>
                                 </tbody>
                              </table>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="col-lg-6">
                  <div class="row">
                     <div class="col-md-3">
                        <div class="card">
                           <div class="card-body text-center p-1">
                              <p class="text-uppercase mar-top mar-btm text-sm" size="16px">Domain IP</p>
                              <i class="fas fa-user fa-2x"></i>
                              <br>
                              <br>
                              <p class="h6 bold" size="24px"><?php echo esc_html($serverip); ?></p>
                           </div>
                        </div>
                     </div>
                     <div class="col-md-3">
                        <div class="card">
                           <div class="card-body text-center p-1">
                              <p class="text-uppercase mar-top mar-btm text-sm" size="16px">Country</p>
                              <i class="fas fa-globe fa-2x"></i>
                              <br>
                              <br>
                              <p class="h6 bold" size="24px"><?php echo esc_html($host_country); ?></p>
                           </div>
                        </div>
                     </div>
                     <div class="col-md-3">
                        <div class="card">
                           <div class="card-body text-center p-1">
                              <p class="text-uppercase mar-top mar-btm text-sm" size="16px">Server Software</p>
                              <i class="fas fa-database fa-2x"></i>
                              <br>
                              <br>
                              <p class="h6 bold" size="24px">
                              <?php
                                 $version = explode("/", $_SERVER['SERVER_SOFTWARE']);
                                 $softNum = explode(" ", $version[1]);
                                 $soft    = $version[0] . '/' . $softNum[0];
                                 echo esc_html($soft);
                              ?>
                              </p>
                           </div>
                        </div>
                     </div>
                     <div class="col-md-3">
                        <div class="card">
                           <div class="card-body text-center p-1">
                              <p class="text-uppercase mar-top mar-btm text-sm" size="16px">ISP</p>
                              <i class="fas fa-tasks fa-2x"></i>
                              <br>
                              <br>
                              <p class="h6 bold" size="24px"><?php echo esc_html($host_isp); ?></p>
                           </div>
                        </div>
                     </div>
                  </div>
                  <div class="row">
                     <div class="col-md-3">
                        <div class="card">
                           <div class="card-body text-center p-1">
                              <p class="text-uppercase mar-top mar-btm text-sm" size="16px">Server OS</p>
                              <i class="fas fa-desktop fa-2x"></i>
                              <br>
                              <br>
                              <p class="h6 bold" size="24px">
                                 <?php
                                    if (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN') {
                                       echo 'Windows';
                                    } elseif (PHP_OS === 'Linux') {
                                       echo 'Linux';
                                    } elseif (PHP_OS === 'FreeBSD') {
                                       echo 'FreeBSD';
                                    } elseif (PHP_OS === 'OpenBSD') {
                                       echo 'OpenBSD';
                                    } elseif (PHP_OS === 'NetBSD') {
                                       echo 'NetBSD';
                                    } elseif (PHP_OS === 'SunOS') {
                                       echo 'SunOS';
                                    } elseif (PHP_OS === 'Unix') {
                                       echo 'Unix';
                                    } elseif (PHP_OS === 'Darwin') {
                                       echo 'Darwin';
                                    } elseif (PHP_OS === 'HP-UX') {
                                       echo 'HP-UX';
                                    } elseif (PHP_OS === 'IRIX64') {
                                       echo 'IRIX64';
                                    } elseif (PHP_OS === 'CYGWIN_NT-5.1') {
                                       echo 'CYGWIN';
                                    } elseif (PHP_OS === 'GNU') {
                                       echo 'GNU';
                                    } elseif (PHP_OS === 'DragonFly') {
                                       echo 'DragonFly';
                                    } elseif (PHP_OS === 'MSYS_NT-6.1') {
                                       echo 'MSYS';
                                    } else {
                                       echo 'Unknown';
                                    }
                                 ?>
                              </p>
                           </div>
                        </div>
                     </div>
                     <div class="col-md-3">
                        <div class="card">
                           <div class="card-body text-center p-1">
                              <p class="text-uppercase mar-top mar-btm text-sm" size="16px">PHP Version</p>
                              <i class="fas fa-tasks fa-2x"></i>
                              <br>
                              <br>
                              <p class="h6 bold" size="24px"><?php echo phpversion(); ?></p>
                           </div>
                        </div>
                     </div> 
                     <div class="col-md-3">
                        <div class="card">
                           <div class="card-body text-center p-1">
                              <p class="text-uppercase mar-top mar-btm text-sm" size="16px">MySQL Version</p>
                              <i class="fas fa-list-alt fa-2x"></i>
                              <br>
                              <br>
                              <p class="h6 bold" size="24px">
                              <?php
                                 $mysqlVersion = $wpdb->db_version();
                                 echo esc_html($mysqlVersion);
                              ?>
                              </p>
                           </div>
                        </div>
                     </div> 
                     <div class="col-md-3">
                        <div class="card">
                           <div class="card-body text-center p-1">
                              <p class="text-uppercase mar-top mar-btm text-sm" size="16px">Server Port</p>
                              <i class="fas fa-plug fa-2x"></i>
                              <br>
                              <br>
                              <p class="h6 bold" size="24px">
                              <?php
                                 echo esc_html($_SERVER['SERVER_PORT']);
                              ?>
                              </p>
                           </div>
                        </div>
                     </div>
                  </div>                   
               </div>
               
            </div>
            <div class="row">
            <div class="col-lg-12">
                  <div class="card card-dark card-outline" style="max-width: -webkit-fill-available;">
                     <div class="card-header">
                        <h3 class="card-title">
                           PHP Info
                        </h3>
                     </div>
                     <div class="card-body p-0">
                        <div class="table" style="height: 400px; overflow: auto;">
                           <?php
                           ob_start();
                           phpinfo();
                           $pinfo = ob_get_contents();
                           ob_end_clean();
                           $pinfo = preg_replace('%^.*<body>(.*)</body>.*$%ms', '$1', $pinfo);
                           echo '' . $pinfo;
                           ?>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </div>

      </div>
      <footer class="footer-wrapper pl-0" style="padding-left: 10px;">
         <div class="footer-wrapper__inside pt-1">
            <div class="container-fluid">
               <div class="row">
                  <div class="col-md-6">
                     <div class="footer-copyright">
                        <p><span>© 2023</span><a href="#">WP Immunity</a>
                        </p>
                     </div>
                  </div>
                  <div class="col-md-6">
                     <div class="footer-menu text-end">
                        <ul>
                           <li>
                              <a href="#">About</a>
                           </li>
                           <li>
                              <a href="#">Contact</a>
                           </li>
                        </ul>
                     </div>
                     <!-- ends: .Footer Menu -->
                  </div>
               </div>
            </div>
         </div>
      </footer>
   </main>
   <div id="overlayer">
      <div class="loader-overlay">
         <div class="dm-spin-dots spin-lg">
            <span class="spin-dot badge-dot dot-primary"></span>
            <span class="spin-dot badge-dot dot-primary"></span>
            <span class="spin-dot badge-dot dot-primary"></span>
            <span class="spin-dot badge-dot dot-primary"></span>
         </div>
      </div>
   </div>
   <div class="overlay-dark-sidebar"></div>
   <div class="customizer-overlay"></div>
   <!-- inject:js-->
   <script src="<?php echo $cur_dir; ?>js/plugins.min.js"></script>
   <script src="<?php echo $cur_dir; ?>js/script.min.js"></script>
   <!-- endinject-->
</body>
