<?php
if (!defined('ABSPATH')) {
    die('Page not found');
}

if (isset($_GET['enable'])) {
	
   $live_traffic = 1;
  update_option('wpim_live_traffic', $live_traffic);
}

if (isset($_GET['disable'])) {
  
   $live_traffic = 0;
  update_option('wpim_live_traffic', $live_traffic);
  
  $files = glob(plugin_dir_path(__FILE__) . 'modules/cache/live-traffic/*'); // Get all cache file names
  foreach($files as $file){ // Iterate cache files
     if(is_file($file)) {
        unlink($file); // Delete cache file
     }
  }
}

$active = $active2 = '';
$show   = $show2 = '';
$cur_dir = '/wp-content/plugins/wpimmunity/';

if (isset($_POST['save']) OR isset($_GET['refresh'])) {
   $active2 = 'active';
   $show2   = 'show ';
} else {
   $active = 'active';
   $show   = 'show ';
}

$table = $wpdb->prefix . 'wpim_livetraffic';

if (isset($_GET['delete-all'])) {
   $wpdb->query("TRUNCATE TABLE `$table`");
}

//Today Stats
$date  = date_i18n("d F Y");
$ctime = date_i18n("H:i", strtotime('-30 seconds'));

$tscount1 = $wpdb->get_var($wpdb->prepare("SELECT COUNT(id) FROM $table
                   WHERE date = %s AND time >= %s", $date, $ctime));
$tscount2 = $wpdb->get_var($wpdb->prepare("SELECT COUNT(id) FROM $table
                   WHERE date = %s AND uniquev = %d", $date, '1'));
$tscount3 = $wpdb->get_var($wpdb->prepare("SELECT COUNT(id) FROM $table
                   WHERE date = %s", $date));
$tscount4 = $wpdb->get_var($wpdb->prepare("SELECT COUNT(id) FROM $table
                   WHERE date = %s AND uniquev = %d AND bot = %d", $date, '1', '1'));
//Month Stats
$mdate    = date_i18n('F Y');
$mscount1 = $wpdb->get_var($wpdb->prepare("SELECT COUNT(id) FROM $table
                   WHERE date LIKE %s AND uniquev = %d", "%$mdate", '1'));
$mscount2 = $wpdb->get_var($wpdb->prepare("SELECT COUNT(id) FROM $table
                   WHERE date LIKE %s", "%$mdate"));
$mscount3 = $wpdb->get_var($wpdb->prepare("SELECT COUNT(id) FROM $table
                   WHERE date LIKE %s AND uniquev = %d AND bot = %d", "%$mdate", '1', '1'));

//Browser Stats
$bcount1 = $wpdb->get_var($wpdb->prepare("SELECT COUNT(id) FROM $table
                   WHERE browser LIKE %s", '%Google Chrome%'));
$bcount2 = $wpdb->get_var($wpdb->prepare("SELECT COUNT(id) FROM $table
                   WHERE browser LIKE %s", '%Firefox%'));
$bcount3 = $wpdb->get_var($wpdb->prepare("SELECT COUNT(id) FROM $table
                   WHERE browser LIKE %s", '%Opera%'));
$bcount4 = $wpdb->get_var($wpdb->prepare("SELECT COUNT(id) FROM $table
                   WHERE browser LIKE %s", '%Edge%'));
$bcount5 = $wpdb->get_var($wpdb->prepare("SELECT COUNT(id) FROM $table
                   WHERE browser LIKE %s", '%Internet Explorer%'));
$bcount6 = $wpdb->get_var($wpdb->prepare("SELECT COUNT(id) FROM $table
                   WHERE browser LIKE %s", '%Safari%'));
$bcount7 = $wpdb->get_var($wpdb->prepare("SELECT COUNT(id) FROM $table
                   WHERE browser NOT LIKE %s AND browser NOT LIKE %s AND browser NOT LIKE %s AND browser NOT LIKE %s AND browser NOT LIKE %s AND browser NOT LIKE %s", '%Google Chrome%', '%Firefox%', '%Opera%', '%Edge%', '%Internet Explorer%', '%Safari%'));

//OS Stats
$ocount1 = $wpdb->get_var($wpdb->prepare("SELECT COUNT(id) FROM $table
                   WHERE os LIKE %s", '%Windows%'));
$ocount2 = $wpdb->get_var($wpdb->prepare("SELECT COUNT(id) FROM $table
                   WHERE os LIKE %s", '%Linux%'));
$ocount3 = $wpdb->get_var($wpdb->prepare("SELECT COUNT(id) FROM $table
                   WHERE os LIKE %s", '%Android%'));
$ocount4 = $wpdb->get_var($wpdb->prepare("SELECT COUNT(id) FROM $table
                   WHERE os LIKE %s", '%iOS%'));
$ocount5 = $wpdb->get_var($wpdb->prepare("SELECT COUNT(id) FROM $table
                   WHERE os LIKE %s", '%Mac OS X%'));
$ocount6 = $wpdb->get_var($wpdb->prepare("SELECT COUNT(id) FROM $table
                   WHERE os NOT LIKE %s AND os NOT LIKE %s AND os NOT LIKE %s AND os NOT LIKE %s AND os NOT LIKE %s", '%Windows%', '%Linux%', '%Android%', '%iOS%', '%Mac OS X%'));

//Platform Stats
$pcount1 = $wpdb->get_var($wpdb->prepare("SELECT COUNT(id) FROM $table
                   WHERE device_type = %s", 'Computer'));
$pcount2 = $wpdb->get_var($wpdb->prepare("SELECT COUNT(id) FROM $table
                   WHERE device_type = %s", 'Mobile'));
$pcount3 = $wpdb->get_var($wpdb->prepare("SELECT COUNT(id) FROM $table
                   WHERE device_type = %s", 'Tablet'));
?>
<body class="layout-light top-menu">
   <main class="main-content">
      <div class="">
         <div class="crm mb-25">
            <div class="container-fluid">
               <div class="row">
                  <div class="col-lg-12">
                     <div class="breadcrumb-main">
                        <h4 class="text-capitalize breadcrumb-title">Analytics</h4>
                     </div>
                  </div>
               </div>
               <div class="row">
                  <div class="col-lg-12">
                     <div class="card col-lg-12 card-dark" style="max-width: -webkit-fill-available;">
                        <div class="card-header">
                           <h1 class="card-title"><?php echo esc_html__("Visit Analytics", "wpguard-text");?></h1>
                           <div class="float-sm-right">
                              <div class="btn-group dm-button-group btn-group-normal my-2" role="group">
                                 <?php
                                    if (get_option('wpim_live_traffic') == 0) {
                                       echo '<a href="admin.php?page=wpimmunity-live&enable" class="btn btn-xs btn-outline-light"><i class="fas fa-play"></i> Enable</a>';
                                    } else {
                                       echo '<a href="admin.php?page=wpimmunity-live&disable" class="btn btn-xs btn-outline-light"><i class="fas fa-pause-circle"></i> Disable</a>';
                                    }
                                 ?>
                                 <a href="admin.php?page=wpimmunity-live&delete-all" class="btn btn-xs btn-outline-light"><i class="fas fa-trash"></i> Delete Data</a>
                              </div>
                           </div>
                        </div>
                        <div class="card-body">
                           <h6 class="card-title"><?php echo esc_html__("Today's Stats", "wpguard-text"); ?></h6>
                           <br />
                           <div class="row">
                              <div class="col-sm-6 col-lg-3">
                                 <div class="ap-po-details ap-po-details--2 p-25 radius-xl d-flex bg-success justify-content-between">
                                    <div class="overview-content w-100">
                                       <div class=" ap-po-details-content d-flex flex-wrap bg-success justify-content-between">
                                          <div class="ap-po-details__titlebar">
                                             <h1 class="color-white p-0">
                                             <?php
                                                echo esc_html($tscount1);
                                             ?>
                                             </h1>
                                             <h5 class="text-thin color-white">Online Visitors</h5>
                                          </div>
                                          <div class="ap-po-details__icon-area">
                                             <div class="svg-icon order-bg-opacity-primary color-white">
                                                <i class="uil uil-users-alt"></i>
                                             </div>
                                          </div>
                                       </div>
                                    </div>
                                 </div>
                              </div>
                              <div class="col-sm-6 col-lg-3">
                                 <div class="ap-po-details ap-po-details--2 p-25 radius-xl d-flex bg-info justify-content-between">
                                    <div class="overview-content w-100">
                                       <div class=" ap-po-details-content d-flex flex-wrap bg-info justify-content-between">
                                          <div class="ap-po-details__titlebar">
                                             <h1 class="color-white p-0">
                                             <?php
                                                echo esc_html($tscount2);
                                             ?>
                                             </h1>
                                             <h5 class="text-thin color-white">Unique Visits</h5>
                                          </div>
                                          <div class="ap-po-details__icon-area">
                                             <div class="svg-icon order-bg-opacity-primary color-white">
                                                <i class="uil uil-signal-alt-3"></i>
                                             </div>
                                          </div>
                                       </div>
                                    </div>
                                 </div>
                              </div>
                              <div class="col-sm-6 col-lg-3">
                                 <div class="ap-po-details ap-po-details--2 p-25 radius-xl d-flex bg-danger justify-content-between">
                                    <div class="overview-content w-100">
                                       <div class=" ap-po-details-content d-flex flex-wrap bg-danger justify-content-between">
                                          <div class="ap-po-details__titlebar">
                                             <h1 class="color-white p-0">
                                             <?php
                                                echo esc_html($tscount3);
                                             ?>
                                             </h1>
                                             <h5 class="text-thin color-white">Total Visits</h5>
                                          </div>
                                          <div class="ap-po-details__icon-area">
                                             <div class="svg-icon order-bg-opacity-primary color-white">
                                                <i class="uil uil-chart-line"></i>
                                             </div>
                                          </div>
                                       </div>
                                    </div>
                                 </div>
                              </div>
                              <div class="col-sm-6 col-lg-3">
                                 <div class="ap-po-details ap-po-details--2 p-25 radius-xl d-flex bg-warning justify-content-between">
                                    <div class="overview-content w-100">
                                       <div class=" ap-po-details-content d-flex flex-wrap bg-warning justify-content-between">
                                          <div class="ap-po-details__titlebar">
                                             <h1 class="color-white p-0">
                                             <?php
                                                echo esc_html($tscount4);
                                             ?>
                                             </h1>
                                             <h5 class="text-thin color-white">Bot Visits</h5>
                                          </div>
                                          <div class="ap-po-details__icon-area">
                                             <div class="svg-icon order-bg-opacity-primary color-white">
                                                <i class="uil uil-robot"></i>
                                             </div>
                                          </div>
                                       </div>
                                    </div>
                                 </div>
                              </div>
                           </div>
                           <br/>
                           <h6 class="card-title"><?php echo esc_html__("This Month's Stats", "wpguard-text"); ?></h6>
                           <br/>
                           <div class="row">
                              <div class="col-sm-6 col-lg-4">
                                    <div class="ap-po-details ap-po-details--2 p-25 radius-xl d-flex bg-info justify-content-between">
                                       <div class="overview-content w-100">
                                          <div class=" ap-po-details-content d-flex flex-wrap bg-info justify-content-between">
                                             <div class="ap-po-details__titlebar">
                                                <h1 class="color-white p-0">
                                                <?php
                                                   echo esc_html($mscount1);
                                                ?>
                                                </h1>
                                                <h5 class="text-thin color-white">Unique Visits</h5>
                                             </div>
                                             <div class="ap-po-details__icon-area">
                                                <div class="svg-icon order-bg-opacity-primary color-white">
                                                   <i class="uil uil-signal-alt-3"></i>
                                                </div>
                                             </div>
                                          </div>
                                       </div>
                                    </div>
                              </div>
                              <div class="col-sm-6 col-lg-4">
                                    <div class="ap-po-details ap-po-details--2 p-25 radius-xl d-flex bg-danger justify-content-between">
                                       <div class="overview-content w-100">
                                          <div class=" ap-po-details-content d-flex flex-wrap bg-danger justify-content-between">
                                             <div class="ap-po-details__titlebar">
                                                <h1 class="color-white p-0">
                                                <?php
                                                   echo esc_html($mscount2);
                                                ?>
                                                </h1>
                                                <h5 class="text-thin color-white">Total Visits</h5>
                                             </div>
                                             <div class="ap-po-details__icon-area">
                                                <div class="svg-icon order-bg-opacity-primary color-white">
                                                   <i class="uil uil-chart-line"></i>
                                                </div>
                                             </div>
                                          </div>
                                       </div>
                                    </div>
                              </div>
                              <div class="col-sm-6 col-lg-4">
                                 <div class="ap-po-details ap-po-details--2 p-25 radius-xl d-flex bg-warning justify-content-between">
                                    <div class="overview-content w-100">
                                       <div class=" ap-po-details-content d-flex flex-wrap bg-warning justify-content-between">
                                          <div class="ap-po-details__titlebar">
                                             <h1 class="color-white p-0">
                                             <?php
                                                echo esc_html($mscount3);
                                             ?>
                                             </h1>
                                             <h5 class="text-thin color-white">Bot Visits</h5>
                                          </div>
                                          <div class="ap-po-details__icon-area">
                                             <div class="svg-icon order-bg-opacity-primary color-white">
                                                <i class="uil uil-robot"></i>
                                             </div>
                                          </div>
                                       </div>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="row">
                  <div class="col-lg-12">
                     <div class="card col-lg-12 card-dark" style="max-width: -webkit-fill-available;">
                        <div class="card-header">
                           <h3 class="card-title"><?php
                              echo esc_html__("Live Traffic", "wpguard-text");
                           ?></h3>
                           <div class="float-sm-right">
                              <div class="btn-group dm-button-group btn-group-normal my-2" role="group">
                                 <?php
                                 if (get_option('wpim_live_traffic') == 0) {
                                    echo '<a href="admin.php?page=wpimmunity-live&enable" class="btn btn-xs btn-outline-light"><i class="fas fa-play"></i> Enable</a>';
                                 } else {
                                    echo '<a href="admin.php?page=wpimmunity-live&disable" class="btn btn-xs btn-outline-light"><i class="fas fa-pause-circle"></i> Disable</a>';
                                 }
                                 ?>
                                 <a href="admin.php?page=wpimmunity-live&refresh" class="btn btn-xs btn-outline-light"><i class="fas fa-sync-alt"></i> Refresh</a>
                                 <a href="admin.php?page=wpimmunity-live&delete-all" class="btn btn-xs btn-outline-light"><i class="fas fa-trash"></i> <?php
                                    echo esc_html__("Delete All", "wpguard-text");
                                 ?></a>
                              </div>
                           </div>
                        </div>
                        <div class="card-body">
                           <div class="table-responsive">
                              <table id="dt-basic2" class="table table-sm table-bordered table-hover compact" cellspacing="0" width="100%">
                                 <thead class="thead-light">
                                    <tr>
                                       <th><?php
                                       echo esc_html__("ID", "wpguard-text");
                                       ?></th>
                                                                        <th><?php
                                       echo esc_html__("IP Address", "wpguard-text");
                                       ?></th>
                                                                        <th><?php
                                       echo esc_html__("Country", "wpguard-text");
                                       ?></th>
                                                                        <th><?php
                                       echo esc_html__("Browser", "wpguard-text");
                                       ?></th>
                                                                        <th><?php
                                       echo esc_html__("OS", "wpguard-text");
                                       ?></th>
                                                                        <th><?php
                                       echo esc_html__("Page", "wpguard-text");
                                       ?></th>
                                                                        <th><?php
                                       echo esc_html__("Date & Time", "wpguard-text");
                                       ?></th>
                                    </tr>
                                 </thead>
                                 <tbody>
                                 <?php
                                 $livetrafficdb = $wpdb->get_results("SELECT * FROM $table ORDER BY id DESC LIMIT 10");
                                 foreach ($livetrafficdb as $row) {
                                    echo '
                                                               <tr>
                                                                  <td>' . $row->id . '</td>
                                                                  <td>' . $row->ip . '
                                                                  ';
                                    if ($row->bot == 1) {
                                       echo '<span class="badge badge-primary">' . esc_html__("Bot", "wpguard-text") . '</span>';
                                    }
                                    echo '</td>
                                                                           <td><img src="'. esc_url(plugins_url('assets/plugins/flags/blank.png', __FILE__)) .'" class="flag flag-' . strtolower($row->country_code) . '" alt="' . $row->country . '" /> ' . $row->country . '</td>
                                                                  <td><img src="'. esc_url(plugins_url('assets/img/icons/browser/'.esc_html($row->browser_code).'.png', __FILE__)) .'" /> ' . $row->browser . '</td>
                                                                  <td><img src="'. esc_url(plugins_url('assets/img/icons/os/'.esc_html($row->os_code).'.png', __FILE__)) .'" /> ' . $row->os . '</td>
                                                                  <td>' . $row->request_uri . '</td>
                                                                           <td data-sort="' . esc_html($row->date) . ', ' . $row->time . '">' . $row->date . ', ' . $row->time . '</td>                                                               </tr>
                                 ';
                                 }
                                 ?>
                                 </tbody>
                              </table>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </div>
      </div>
      <br>
      <hr>
      <footer class="footer-wrapper pl-0" style="padding-left: 10px;">
         <div class="footer-wrapper__inside pt-1">
            <div class="container-fluid">
               <div class="row">
                  <div class="col-md-6">
                     <div class="footer-copyright">
                        <p><span>© 2023</span><a href="#">WP Immunity</a>
                        </p>
                     </div>
                  </div>
                  <div class="col-md-6">
                     <div class="footer-menu text-end">
                        <ul>
                           <li>
                              <a href="#">About</a>
                           </li>
                           <li>
                              <a href="#">Contact</a>
                           </li>
                        </ul>
                     </div>
                     <!-- ends: .Footer Menu -->
                  </div>
               </div>
            </div>
         </div>
      </footer>
   </main>
   <div id="overlayer">
      <div class="loader-overlay">
         <div class="dm-spin-dots spin-lg">
            <span class="spin-dot badge-dot dot-primary"></span>
            <span class="spin-dot badge-dot dot-primary"></span>
            <span class="spin-dot badge-dot dot-primary"></span>
            <span class="spin-dot badge-dot dot-primary"></span>
         </div>
      </div>
   </div>
   <div class="overlay-dark-sidebar"></div>
   <div class="customizer-overlay"></div>
   <!-- inject:js-->
   <script src="<?php echo $cur_dir; ?>js/plugins.min.js"></script>
   <script src="<?php echo $cur_dir; ?>js/script.min.js"></script>
   <!-- endinject-->
</body>
