<?php
if (!defined('ABSPATH')) {
    die('Page not found');
}
$table = $wpdb->prefix . 'wpim_logs';
$cur_dir = '/wp-content/plugins/wpimmunity/';

if (isset($_GET['delete-id'])) {
    $id = (int) $_GET["delete-id"];
    
    $wpdb->delete($table, array(
        'id' => $id
    ));
}

if (isset($_GET['delete-all'])) {
    $wpdb->query("TRUNCATE TABLE `$table`");
}
?>


<body class="layout-light top-menu">
   
   <main class="main-content">
      <div class="">

         <div class="crm mb-25">
            <div class="container-fluid">
               <div class="row">
				<div class="col-lg-12 mb-30">
					<div class="card mt-30" style="max-width: -webkit-fill-available;">
						<div class="card-body">

							<div class="userDatatable adv-table-table global-shadow border-light-0 w-100 adv-table">
								<div class="table-responsive">
									<div class="adv-table-table__header">
										<h4>Logs</h4>
									</div>
									<div id="filter-form-container"></div>
									<table class="table mb-0 table-borderless adv-table" data-sorting="true" data-filter-container="#filter-form-container" data-paging-current="1" data-paging-position="right" data-paging-size="10">
										<thead>
											<tr class="userDatatable-header">
											<th>
												<span class="userDatatable-title">ID</span>
											</th>
											<th>
												<span class="userDatatable-title">IP Address</span>
											</th>
											<th>
												<span class="userDatatable-title">Type</span>
											</th>
											<th>
												<span class="userDatatable-title">Date</span>
											</th>
											<th data-type="html" data-name='browser'>
												<span class="userDatatable-title">Browser</span>
											</th>
											<th data-type="html" data-name='country'>
												<span class="userDatatable-title">Country</span>
											</th>
											<!-- <th>
												<span class="userDatatable-title float-end">Actions</span>
											</th> -->
											</tr>
										</thead>
										<tbody>
										<?php
											$query = $wpdb->get_results("SELECT id, ip, date, time, browser, browser_code, os, os_code, country, country_code, type FROM `$table` ORDER by id DESC");
											foreach ($query as $row) {
												echo '  <tr>
														<td><div class="userDatatable-content">' . esc_html($row->id) . '</div></td>
														<td><div class="d-flex">
																<div class="userDatatable-inline-title">
																	<a href="#" class="text-dark fw-500">
																		<h6>' . esc_html($row->ip) . '</h6>
																	</a>
																</div>
															</div>
														</td>';
												echo '  <td>';
														if ($row->type == 'SQLi') {
															echo '<i class="fas fa-code"></i> ' . esc_html($row->type);
														} else if ($row->type == 'Proxy') {
															echo '<i class="fas fa-globe"></i> ' . esc_html($row->type);
														} else if ($row->type == 'Spammer') {
															echo '<i class="fas fa-keyboard"></i> ' . esc_html($row->type);
														} else {
															echo '<i class="fas fa-user-secret"></i> ' . esc_html($row->type);
														}
												echo '  </td>';
												echo '  <td data-sort="' . esc_html($row->date) . ', ' . $row->time . '"><div class="userDatatable-content">' . $row->date . ', ' . $row->time . '</div></td>
														<td><div class="userDatatable-content"><img src="'. esc_url(plugins_url('assets/img/icons/browser/'.esc_html($row->browser_code).'.png', __FILE__)) .'" /> ' . esc_html($row->browser) . '</div></td>
														<td><div class="userDatatable-content">' . esc_html($row->country) . '</div></td>
														</tr>';
												}
											?>
										</tbody>
									</table>
								</div>
							</div>

						</div>
					</div>
				</div>
               </div>
               <!-- ends: .row -->
            </div>
         </div>

      </div>
      <footer class="footer-wrapper pl-0" style="padding-left: 10px;">
         <div class="footer-wrapper__inside pt-1">
            <div class="container-fluid">
               <div class="row">
                  <div class="col-md-6">
                     <div class="footer-copyright">
                        <p><span>© 2023</span><a href="#">WP Immunity</a>
                        </p>
                     </div>
                  </div>
                  <div class="col-md-6">
                     <div class="footer-menu text-end">
                        <ul>
                           <li>
                              <a href="#">About</a>
                           </li>
                           <li>
                              <a href="#">Contact</a>
                           </li>
                        </ul>
                     </div>
                     <!-- ends: .Footer Menu -->
                  </div>
               </div>
            </div>
         </div>
      </footer>
   </main>
   <div id="overlayer">
      <div class="loader-overlay">
         <div class="dm-spin-dots spin-lg">
            <span class="spin-dot badge-dot dot-primary"></span>
            <span class="spin-dot badge-dot dot-primary"></span>
            <span class="spin-dot badge-dot dot-primary"></span>
            <span class="spin-dot badge-dot dot-primary"></span>
         </div>
      </div>
   </div>
   <div class="overlay-dark-sidebar"></div>
   <div class="customizer-overlay"></div>
   <!-- inject:js-->
   <script src="<?php echo $cur_dir; ?>js/plugins.min.js"></script>
   <script src="<?php echo $cur_dir; ?>js/script.min.js"></script>
   <!-- endinject-->
</body>
