<?php
if (!defined('ABSPATH')) {
    die('Page not found');
}
function clean_urlwpg($site)
{
    $site = strtolower($site);
    $site = str_replace(array(
        'http://',
        'https://',
        'www.'
    ), '', $site);
    return $site;
}

$site = clean_urlwpg(get_site_url());
$cur_dir = '/wp-content/plugins/wpimmunity/';

//Host Info Check
function host_info($site)
{
    global $site_url;
	
    $useragent = $_SERVER['HTTP_USER_AGENT'];
    
    $ip  = gethostbyname($site_url);
    $url = 'https://ipapi.co/' . $ip . '/json/';
    $ch  = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
    curl_setopt($ch, CURLOPT_ENCODING, 'gzip,deflate');
    curl_setopt($ch, CURLOPT_USERAGENT, $useragent);
    curl_setopt($ch, CURLOPT_REFERER, "https://google.com");
    $ipcontent = curl_exec($ch);
    curl_close($ch);
    $ip_data = json_decode($ipcontent);
    if ($ip_data && !isset($ip_data->{'error'})) {
        $country = $ip_data->{'country_name'};
        $isp     = $ip_data->{'org'};
    } else {
        $country = "Unknown";
        $isp     = "Unknown";
    }
    
    if ($country == '') {
        $country = "Unknown";
    }
    
    if ($isp == '') {
        $isp = "Unknown";
    }
    
    $data = $ip . "::" . $country . "::" . $isp . "::";
    return $data;
}

//Host Info
$data         = host_info($site);
$data         = explode("::", $data);
$host_ip      = $data[0];
$serverip     = getHostByName(getHostName());
$host_country = $data[1];
$host_isp     = $data[2];

$inipath = php_ini_loaded_file();

if ($inipath) {
    $iniflp = $inipath;
} else {
    $iniflp = "A php.ini file is not loaded";
}

$zend_version = zend_version();

$errorlog_path = ini_get('error_log');
?>


<body class="layout-light top-menu">
   
   <main class="main-content">
      <div class="">

         <div class="crm mb-25">
            <div class="container-fluid">
            <div class="row">
               <div class="col-lg-12">
                  <div class="breadcrumb-main">
                     <h4 class="text-capitalize breadcrumb-title">Pricing</h4>
                  </div>
               </div>
            </div>
            <div class="bg-white pt-50 pb-40 mb-30 px-xxl-0 px-30 shadow-lg radius-xl">
               <div role="tabpanel">
                  <div class="container">
                     <div class="row justify-content-center">
                        <div class="col-12 text-center">
                           <!-- active inactive button -->

                           <!-- Active Switch -->
                           <ul class="ai-list mb-40 mt-20">
                              <li class="ai-list-item">
                                 <span class="monthly active space-nowrap">Monthly</span>
                              </li>
                              <li class="ai-list-item">
                                 <input hidden class="ail ail-light" id="ai1" type="checkbox" name="intervaltype" />
                                 <label class="ail-btn" for="ai1" data-bs-target="#monthly"></label>
                              </li>
                              <li class="ai-list-item">
                                 <span class="yearly space-nowrap">Annually</span>
                              </li>
                           </ul>
                           <!-- Active Switch End -->

                           <!-- active inactive button end -->
                        </div>
                     </div>
                  </div>
                  <div class="tab-content">
                     <div role="tabpanel" class="tab-pane active" id="monthly">
                        <div class="row justify-content-center">
                           <div class="col-xxl-4 col-lg-4 col-sm-6 mb-30">
                              <div class="card h-100">
                                 <div class="card-body p-30">
                                    <div class="pricing d-flex align-items-center">

                                       <span class=" pricing__tag color-dark order-bg-opacity-dark rounded-pill ">Free Forever</span>

                                    </div>
                                    <div class="pricing__price rounded">
                                       <p class="pricing_value display-3 color-dark d-flex align-items-center text-capitalize fw-600 mb-1">
                                          free
                                       </p>
                                       <p class="pricing_subtitle mb-0">For Individuals</p>
                                    </div>
                                    <div class="pricing__features">
                                       <ul>
                                          <li>
                                             <span class="fa fa-check"></span>Force SSL (HTTPS)
                                             <br>
                                             <span style="font-style: bold;font-size: 11px;text-transform: initial;">Forces the website to use a secure connection over HTTPS over the standard unsecure HTTP protocol.</span>
                                          </li>
                                          <li>
                                             <span class="fa fa-check"></span>Live Tracking / Statistics
                                             <br>
                                             <span style="font-style: bold;font-size: 11px;text-transform: initial;">Live statistics to track and monitor visitors and threats to your site.</span>
                                          </li>
                                          <li>
                                             <span class="fa fa-check"></span>XSS Protection
                                             <br>
                                             <span style="font-style: bold;font-size: 11px;text-transform: initial;">Cross-Site Scripting (XSS) can allow an attacker to exploit security flaws in the website that allow execution of malicious code using browser script techniques.</span>
                                          </li>
                                          <li>
                                             <span class="fa fa-check"></span>User Enumeration Prevention
                                             <br>
                                             <span style="font-style: bold;font-size: 11px;text-transform: initial;">Bad actors can scan / brute force your site for possible user account info by enumerating user names (ex. Admin1, admin2, timothy52, john15).</span>
                                          </li>
                                          <li>
                                             <span class="fa fa-check"></span>Disabled XML-RPC
                                             <br>
                                             <span style="font-style: bold;font-size: 11px;text-transform: initial;">The XML-RPC allows logging into your admin panel remotely. Disabling it completely prevents all remote attempts.</span>
                                          </li>
                                       </ul>
                                    </div>
                                 </div>
                                 <div class="price_action d-flex pb-30 ps-30">
                                    <?php if (isActivated('') == '') { ?>
                                             
                                    <?php } else { ?>
                                             <button disabled class="btn btn-default btn-squared color-light btn-outline-light text-capitalize px-30 color-gray fw-500">Current Plan</button>
                                    <?php } ?>
                                 </div>
                              </div><!-- End: .card -->
                           </div><!-- End: .col -->
                           <div class="col-xxl-4 col-lg-4 col-sm-6 mb-30">
                              <div class="card h-100">
                                 <div class="card-body p-30">
                                    <div class="pricing d-flex align-items-center">

                                       <span class=" pricing__tag color-primary order-bg-opacity-primary rounded-pill ">Professional</span>

                                    </div>
                                    <div class="pricing__price rounded">

                                       <p class="pricing_value display-3 color-dark d-flex align-items-center text-capitalize fw-600 mb-1">
                                          <sup>$</sup>20
                                          <small class="pricing_user">Per month</small>
                                       </p>
                                       <p class="pricing_subtitle mb-0">For Professional Users</p>

                                    </div>
                                    <div class="pricing__features">
                                       <ul>
                                       <li>
                                             <span class="fa fa-check"></span>Everything from the free plan.
                                          </li>
                                          <li>
                                             <span class="fa fa-check"></span>SQL Injection Protection
                                             <br>
                                             <span style="font-style: bold;font-size: 11px;text-transform: initial;">SQL Injections are a technique where malicious users can inject SQL commands into an SQL statement, via web page input.</span>
                                          </li>
                                          <li>
                                             <span class="fa fa-check"></span>Toxic Bot Protection
                                             <br>
                                             <span style="font-style: bold;font-size: 11px;text-transform: initial;">Malformed or fake bots can slow down your server and even automatically search for attack vectors on your site.</span>
                                          </li>
                                          <li>
                                             <span class="fa fa-check"></span>Country / IP Global Bans
                                             <br>
                                             <span style="font-style: bold;font-size: 11px;text-transform: initial;">Allows for global banning individual countries and ip addresses.</span>
                                          </li>
                                          <li>
                                             <span class="fa fa-check"></span>Spam Protection
                                             <br>
                                             <span style="font-style: bold;font-size: 11px;text-transform: initial;">Spam can be submitted to many websites to bog them down with messages and advertisements that detract from the quality of the content.</span>
                                          </li>
                                          <li>
                                             <span class="fa fa-check"></span>Proxy / VPN Protection
                                             <br>
                                             <span style="font-style: bold;font-size: 11px;text-transform: initial;">Proxy servers and VPNs are normally used to give the illusion that a user is going through a network/location when they are not, which can mask their true identity.</span>
                                          </li>
                                          <li>
                                             <span class="fa fa-check"></span>Escalated .htaccess Editor
                                             <br>
                                             <span style="font-style: bold;font-size: 11px;text-transform: initial;">Edit your .htaccess file manually to have more granular control over the requests that are made on your website.</span>
                                          </li>
                                          <li>
                                             <span class="fa fa-check"></span>Brute Force Protection
                                             <br>
                                             <span style="font-style: bold;font-size: 11px;text-transform: initial;">Protect against false attempts to sign into your admin panel.</span>
                                          </li>
                                       </ul>
                                    </div>
                                 </div>
                                 <div class="price_action d-flex pb-30 ps-30">
                                    <?php if (isActivated('') == '') { ?>
                                             <button disabled class="btn btn-default btn-squared color-light btn-outline-light text-capitalize px-30 color-gray fw-500">Current Plan</button>
                                    <?php } else { ?>
                                             <a href="https://buy.stripe.com/6oEg0se3ua0QcQE8wx" class="btn btn-primary btn-default btn-squared text-capitalize px-30">
                                                <button class="btn btn-primary btn-default btn-squared text-capitalize px-30">Subscribe
                                                </button>
                                             </a>
                                    <?php } ?>
                                 </div>
                              </div><!-- End: .card -->
                           </div><!-- End: .col -->
                        </div>
                     </div>
                     <div role="tabpanel" class="tab-pane" id="yearly">
                     <div class="row justify-content-center">
                           <div class="col-xxl-4 col-lg-4 col-sm-6 mb-30">
                              <div class="card h-100">
                                 <div class="card-body p-30">
                                    <div class="pricing d-flex align-items-center">

                                       <span class=" pricing__tag color-dark order-bg-opacity-dark rounded-pill ">Free Forever</span>


                                    </div>
                                    <div class="pricing__price rounded">
                                       <p class="pricing_value display-3 color-dark d-flex align-items-center text-capitalize fw-600 mb-1">
                                          free
                                       </p>
                                       <p class="pricing_subtitle mb-0">For Individuals</p>
                                    </div>
                                    <div class="pricing__features">
                                       <ul>
                                          <li>
                                             <span class="fa fa-check"></span>Force SSL (HTTPS)
                                             <br>
                                             <span style="font-style: bold;font-size: 11px;text-transform: initial;">Forces the website to use a secure connection over HTTPS over the standard unsecure HTTP protocol.</span>
                                          </li>
                                          <li>
                                             <span class="fa fa-check"></span>Live Tracking / Statistics
                                             <br>
                                             <span style="font-style: bold;font-size: 11px;text-transform: initial;">Live statistics to track and monitor visitors and threats to your site.</span>
                                          </li>
                                          <li>
                                             <span class="fa fa-check"></span>XSS Protection
                                             <br>
                                             <span style="font-style: bold;font-size: 11px;text-transform: initial;">Cross-Site Scripting (XSS) can allow an attacker to exploit security flaws in the website that allow execution of malicious code using browser script techniques.</span>
                                          </li>
                                          <li>
                                             <span class="fa fa-check"></span>User Enumeration Prevention
                                             <br>
                                             <span style="font-style: bold;font-size: 11px;text-transform: initial;">Bad actors can scan / brute force your site for possible user account info by enumerating user names (ex. Admin1, admin2, timothy52, john15).</span>
                                          </li>
                                          <li>
                                             <span class="fa fa-check"></span>Disabled XML-RPC
                                             <br>
                                             <span style="font-style: bold;font-size: 11px;text-transform: initial;">The XML-RPC allows logging into your admin panel remotely. Disabling it completely prevents all remote attempts.</span>
                                          </li>
                                       </ul>
                                    </div>
                                 </div>
                                 <div class="price_action d-flex pb-30 ps-30">
                                    <?php if (isActivated('') == '') { ?>
                                             
                                    <?php } else { ?>
                                             <button disabled class="btn btn-default btn-squared color-light btn-outline-light text-capitalize px-30 color-gray fw-500">Current Plan</button>
                                    <?php } ?>
                                 </div>
                              </div><!-- End: .card -->
                           </div><!-- End: .col -->
                           <div class="col-xxl-4 col-lg-4 col-sm-6 mb-30">
                              <div class="card h-100">
                                 <div class="card-body p-30">
                                    <div class="pricing d-flex align-items-center">

                                       <span class=" pricing__tag color-primary order-bg-opacity-primary rounded-pill ">Professional</span>

                                       <span class="pricing__badge bg-danger">-25%</span>


                                    </div>
                                    <div class="pricing__price rounded">

                                       <p class="pricing_value display-3 color-dark d-flex align-items-center text-capitalize fw-600 mb-1">
                                          <sup>$</sup>15
                                          <small class="pricing_user">Per month</small>
                                       </p>
                                       <p class="pricing_subtitle mb-0">For Professional Users</p>

                                    </div>
                                    <div class="pricing__features">
                                       <ul>
                                          <li>
                                             <span class="fa fa-check"></span>Everything from the free plan.
                                          </li>
                                          <li>
                                             <span class="fa fa-check"></span>SQL Injection Protection
                                             <br>
                                             <span style="font-style: bold;font-size: 11px;text-transform: initial;">SQL Injections are a technique where malicious users can inject SQL commands into an SQL statement, via web page input.</span>
                                          </li>
                                          <li>
                                             <span class="fa fa-check"></span>Toxic Bot Protection
                                             <br>
                                             <span style="font-style: bold;font-size: 11px;text-transform: initial;">Malformed or fake bots can slow down your server and even automatically search for attack vectors on your site.</span>
                                          </li>
                                          <li>
                                             <span class="fa fa-check"></span>Country / IP Global Bans
                                             <br>
                                             <span style="font-style: bold;font-size: 11px;text-transform: initial;">Allows for global banning individual countries and ip addresses.</span>
                                          </li>
                                          <li>
                                             <span class="fa fa-check"></span>Spam Protection
                                             <br>
                                             <span style="font-style: bold;font-size: 11px;text-transform: initial;">Spam can be submitted to many websites to bog them down with messages and advertisements that detract from the quality of the content.</span>
                                          </li>
                                          <li>
                                             <span class="fa fa-check"></span>Proxy / VPN Protection
                                             <br>
                                             <span style="font-style: bold;font-size: 11px;text-transform: initial;">Proxy servers and VPNs are normally used to give the illusion that a user is going through a network/location when they are not, which can mask their true identity.</span>
                                          </li>
                                          <li>
                                             <span class="fa fa-check"></span>Escalated .htaccess Editor
                                             <br>
                                             <span style="font-style: bold;font-size: 11px;text-transform: initial;">Edit your .htaccess file manually to have more granular control over the requests that are made on your website.</span>
                                          </li>
                                          <li>
                                             <span class="fa fa-check"></span>Brute Force Protection
                                             <br>
                                             <span style="font-style: bold;font-size: 11px;text-transform: initial;">Protect against false attempts to sign into your admin panel.</span>
                                          </li>
                                       </ul>
                                    </div>
                                 </div>
                                 <div class="price_action d-flex pb-30 ps-30">
                                    <?php if (isActivated('') == '') { ?>
                                             <button disabled class="btn btn-default btn-squared color-light btn-outline-light text-capitalize px-30 color-gray fw-500">Current Plan</button>
                                    <?php } else { ?>
                                             <a href="https://buy.stripe.com/00g5lOe3u0qgcQE000" class="btn btn-primary btn-default btn-squared text-capitalize px-30">
                                                <button class="btn btn-primary btn-default btn-squared text-capitalize px-30">Subscribe
                                                </button>
                                             </a>
                                    <?php } ?>
                                 </div>
                              </div><!-- End: .card -->
                           </div><!-- End: .col -->
                        </div>
                     </div>
                  </div>
               </div>
            </div><!-- End: .bg-white -->
         </div>
      <br>
      <br>
      <br>
      <br>
      </div>
      <footer class="footer-wrapper pl-0" style="padding-left: 10px;">
         <div class="footer-wrapper__inside pt-1">
            <div class="container-fluid">
               <div class="row">
                  <div class="col-md-6">
                     <div class="footer-copyright">
                        <p><span>© 2023</span><a href="#">WP Immunity</a>
                        </p>
                     </div>
                  </div>
                  <div class="col-md-6">
                     <div class="footer-menu text-end">
                        <ul>
                           <li>
                              <a href="#">About</a>
                           </li>
                           <li>
                              <a href="#">Contact</a>
                           </li>
                        </ul>
                     </div>
                     <!-- ends: .Footer Menu -->
                  </div>
               </div>
            </div>
         </div>
      </footer>
   </main>
   <div id="overlayer">
      <div class="loader-overlay">
         <div class="dm-spin-dots spin-lg">
            <span class="spin-dot badge-dot dot-primary"></span>
            <span class="spin-dot badge-dot dot-primary"></span>
            <span class="spin-dot badge-dot dot-primary"></span>
            <span class="spin-dot badge-dot dot-primary"></span>
         </div>
      </div>
   </div>
   <div class="overlay-dark-sidebar"></div>
   <div class="customizer-overlay"></div>
   <!-- inject:js-->
   <script src="<?php echo $cur_dir; ?>js/plugins.min.js"></script>
   <script src="<?php echo $cur_dir; ?>js/script.min.js"></script>
   <!-- endinject-->
</body>
